> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bey.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Call Messages

> List transcribed messages of a call.



## OpenAPI

````yaml /openapi.json get /v1/calls/{id}/messages
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/calls/{id}/messages:
    get:
      tags:
        - Calls
      summary: List Call Messages
      description: List transcribed messages of a call.
      operationId: list_messages_v1_calls__id__messages_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: Call ID.
            title: Id
          description: Call ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CallMessage'
                title: Response List Messages V1 Calls  Id  Messages Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CallMessage:
      properties:
        message:
          type: string
          title: Message
          description: Text content.
        sent_at:
          type: string
          title: Sent At
          description: Sent time in ISO 8601 format.
        sender:
          type: string
          enum:
            - ai
            - user
          title: Sender
          description: Sender, either 'ai' or 'user'.
      type: object
      required:
        - message
        - sent_at
        - sender
      title: CallMessage
      description: Message in a call.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Your Beyond Presence API Key.
      in: header
      name: x-api-key

````